From 667bd69e50c17242a09a58e1651498f0f29a69de Mon Sep 17 00:00:00 2001
From: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
Date: Thu, 12 Apr 2012 15:24:48 +0200
Subject: [PATCH 3/5] CameraParameters: fix a copy-paste error, when parsing key-value pairs

Change-Id: I6563805b65abd53082ea79843147402b0165efeb
---
 libs/camera/CameraParameters.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/frameworks/base/libs/camera/CameraParameters.cpp b/frameworks/base/libs/camera/CameraParameters.cpp
index 059a8a5..3a2e111 100644
--- a/frameworks/base/libs/camera/CameraParameters.cpp
+++ b/frameworks/base/libs/camera/CameraParameters.cpp
@@ -235,7 +235,7 @@ void CameraParameters::set(const char *key, const char *value)
         return;
     }
 
-    if (strchr(value, '=') || strchr(key, ';')) {
+    if (strchr(value, '=') || strchr(value, ';')) {
         //XXX ALOGE("Value \"%s\"contains invalid character (= or ;)", value);
         return;
     }
-- 
1.7.2.5

